Problem z Pamacem

Od początku mam problem z Pamaciem. Nigdy nie chce się uruchomić kiedy próbuję coś doinstalować. Postanowiłem Reinastalować i na nie wiele się to zdało.

[me@me-pc ~]$ pamac
bash: pamac: nie znaleziono polecenia
[me@me-pc ~]$ sudo pamac
[sudo] hasło użytkownika me: 
sudo: pamac: nie znaleziono polecenia
[me@me-pc ~]$ sudo pacman -R Pamac
[sudo] hasło użytkownika me: 
błąd:  zduplikowany wpis 'pamac-common' w bazie danych
błąd:  zduplikowany wpis 'pamac-snap-plugin' w bazie danych
błąd:  zduplikowany wpis 'pamac-tray-appindicator' w bazie danych
błąd:  pakiet Pamac nie został znaleziony
[me@me-pc ~]$ sudo pacman -Rs Pamac
błąd:  zduplikowany wpis 'pamac-common' w bazie danych
błąd:  zduplikowany wpis 'pamac-snap-plugin' w bazie danych
błąd:  zduplikowany wpis 'pamac-tray-appindicator' w bazie danych
błąd:  pakiet Pamac nie został znaleziony
[me@me-pc ~]$ 

Komenda sprawdza spójność bazy danych. Ciekaw jestem co wyrzuci u Ciebie:

$ sudo pacman -Dk

Sprawdź obecność, rozmiary i zawartość plików:

/var/lib/pacman/local/pamac-cli-9.1.1-1/desc
/var/lib/pacman/local/pamac-cli-9.1.1-1/files
/var/lib/pacman/local/pamac-cli-9.1.1-1/mtree
/var/lib/pacman/local/pamac-common-9.1.1-1/desc
/var/lib/pacman/local/pamac-common-9.1.1-1/files
/var/lib/pacman/local/pamac-common-9.1.1-1/install
/var/lib/pacman/local/pamac-common-9.1.1-1/mtree
/var/lib/pacman/local/pamac-gtk-9.1.1-1/desc
/var/lib/pacman/local/pamac-gtk-9.1.1-1/files
/var/lib/pacman/local/pamac-gtk-9.1.1-1/install
/var/lib/pacman/local/pamac-gtk-9.1.1-1/mtree

Jeżeli nie masz drugiej instalacji, z którą możesz porównać pliki (lub backup’u), to zobacz jak one wyglądają dla innych pakietów.


Sprawdź czy w ogóle masz odpowiednie binarki, np:

/usr/bin/pamac
/usr/bin/pamac-manager
...

Powinny, to być pliki binarne (ELF) i mieć atrybut ‘execute’.


Spróbuj wydać polecenie w katalogu /usr/bin/ lub z pełną ścieżką, np:

$ /usr/bin/pamac

Przy próbie uruchomienia pamac’a bez parametrów, powinien pojawić się help.


Jeżeli potraktować dosłownie komunikaty, to masz uszkodzoną bazę, czyli zapewne /var/lib/pacman/local/. Nie spotkałem się jednak dotychczas z takim problemem, więc chodzę dookoła i obwąchuję.

1lajk

Nie wiem czemu dopiero teraz skojarzyłem.

Jeśli to jest świeża instalacja Manjaro KDE to pamaca musisz doinstalować. W Manjaro KDE domyślnym graficznym managerem pakietów jest Octopi. W konsoli do dyspozycji masz pacmana.

1lajk

pamac z małej litery proszę.

1lajk

Zagadka rozwiązana. Kiedy instalowałem Manjaro, to jakoś mi umykało by sformatować partycję…
Można zamknąć.

forum.manjaro.pl - polskie wsparcie Manjaro. Hostowane przez: